using System.ComponentModel.DataAnnotations;

namespace NexusReader.Domain.Entities;

public class Author
{
    [Key]
    public int Id { get; set; }

    [Required]
    [MaxLength(255)]
    public string Name { get; set; } = string.Empty;

    public virtual ICollection<Ebook> Ebooks { get; set; } = new List<Ebook>();
}
